Index: standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd
===================================================================
--- standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd (revision 342)
+++ standards/DailyDrillingReport/1.2.0/DDRMLv_1_2_1.xsd (revision 369)
@@ -3525,60 +3308,50 @@
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="logInfo" type="witsml:cs_drillReportLogInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17836969">
+				<xsd:element name="logInfo" type="witsml:cs_drillReportLogInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17836969">
 					<xsd:annotation>
 						<xsd:documentation>General information about a log.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="coreInfo" type="witsml:cs_drillReportCoreInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17833062">
+				<xsd:element name="coreInfo" type="witsml:cs_drillReportCoreInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17833062">
 					<xsd:annotation>
 						<xsd:documentation>General information about a core.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="wellTestInfo" type="witsml:cs_drillReportWellTestInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17881131">
+				<xsd:element name="wellTestInfo" type="witsml:cs_drillReportWellTestInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17881131">
 					<xsd:annotation>
 						<xsd:documentation>General information about a production well test.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="formTestInfo" type="witsml:cs_drillReportFormTestInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17856636">
+				<xsd:element name="formTestInfo" type="witsml:cs_drillReportFormTestInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17856636">
 					<xsd:annotation>
 						<xsd:documentation>General information about a wireline formation test.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="lithShowInfo" type="witsml:cs_drillReportLithShowInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17858011">
+				<xsd:element name="lithShowInfo" type="witsml:cs_drillReportLithShowInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17858011">
 					<xsd:annotation>
 						<xsd:documentation>General information about the lithology and shows in an interval.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="equipFailureInfo" type="witsml:cs_drillReportEquipFailureInfo" minOccurs="0"
-					 maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17834522">
+				<xsd:element name="equipFailureInfo" type="witsml:cs_drillReportEquipFailureInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17834522">
 					<xsd:annotation>
 						<xsd:documentation>General information about equipment failure.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="controlIncidentInfo" type="witsml:cs_drillReportControlIncidentInfo" minOccurs="0"
-					 maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17887880">
+				<xsd:element name="controlIncidentInfo" type="witsml:cs_drillReportControlIncidentInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17887880">
 					<xsd:annotation>
 						<xsd:documentation>General information about a well control incident.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="stratInfo" type="witsml:cs_drillReportStratInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS373305601">
+				<xsd:element name="stratInfo" type="witsml:cs_drillReportStratInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS373305601">
 					<xsd:annotation>
 						<xsd:documentation>General information about a well control incident.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="perfInfo" type="witsml:cs_drillReportPerfInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17855316">
+				<xsd:element name="perfInfo" type="witsml:cs_drillReportPerfInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17855316">
 					<xsd:annotation>
 						<xsd:documentation>General information about a well control incident.</xsd:documentation>
 					</xsd:annotation>
 				</xsd:element>
-				<xsd:element name="gasReadingInfo" type="witsml:cs_drillReportGasReadingInfo" minOccurs="0" maxOccurs="unbounded"
-					 sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17879652">
+				<xsd:element name="gasReadingInfo" type="witsml:cs_drillReportGasReadingInfo" minOccurs="0" maxOccurs="unbounded" sawsdl:modelReference="http://rds.posccaesar.org/2008/02/XML/RDL/RDS17879652">
 					<xsd:annotation>
 						<xsd:documentation>General information about a gas reading.</xsd:documentation>
@@ -5250,7 +5023,6 @@
 		</xsd:annotation>
 		<xsd:simpleContent>
-			<xsd:extension base="witsml:abstractNameString">
-				<!--PROFILE: Deleted attribute uidRef.-->
-			</xsd:extension>
+			<xsd:extension base="witsml:abstractNameString"/>
+			<!--PROFILE: Deleted attribute uidRef.-->
 		</xsd:simpleContent>
 	</xsd:complexType>
@@ -5724,11 +5496,10 @@
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractUomEnum">
+			<xsd:enumeration value="g/cm3"/>
+			<xsd:enumeration value="sg"/>
 			<!--PROFILE: Deleted enumeration value="kg/m3".-->
 			<!--PROFILE: Deleted enumeration value="10Mg/m3".-->
 			<!--PROFILE: Deleted enumeration value="dAPI".-->
-
-			<xsd:enumeration value="g/cm3"/>
 			<!-- Added 22feb2011 -->
-			<xsd:enumeration value="sg"/>
 			<!-- END Added 22feb2011 -->
 			<!--PROFILE: Deleted enumeration value="g/dm3".-->
@@ -5923,10 +5694,9 @@
 		</xsd:annotation>
 		<xsd:restriction base="witsml:abstractUomEnum">
+			<xsd:enumeration value="dega"/>
 			<!--PROFILE: Deleted enumeration value="rad".-->
 			<!--PROFILE: Deleted enumeration value="c".-->
 			<!--PROFILE: Deleted enumeration value="ccgr".-->
 			<!--PROFILE: Deleted enumeration value="cgr".-->
-
-			<xsd:enumeration value="dega"/>
 			<!--PROFILE: Deleted enumeration value="gon".-->
 			<!--PROFILE: Deleted enumeration value="gr".-->
